Panda3D

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
GamepadButton Class Reference

This class is just used as a convenient namespace for grouping all of these handy functions that return buttons which map to gamepad buttons. More...

`#include "gamepadButton.h"`

## Static Public Member Functions
static ButtonHandle | back ()
static ButtonHandle | dpad_down ()
static ButtonHandle | dpad_left ()
static ButtonHandle | dpad_right ()
static ButtonHandle | dpad_up ()
static ButtonHandle | face_1 ()
static ButtonHandle | face_2 ()
static ButtonHandle | face_a ()
static ButtonHandle | face_b ()
static ButtonHandle | face_c ()
static ButtonHandle | face_x ()
static ButtonHandle | face_y ()
static ButtonHandle | face_z ()
static ButtonHandle | guide ()
static ButtonHandle | hat_down ()
static ButtonHandle | hat_left ()
static ButtonHandle | hat_right ()
static ButtonHandle | hat_up ()
static void | init_gamepad_buttons ()
| This is intended to be called only once, by the static initialization performed in config_util.cxx.
static ButtonHandle | joystick (int button_number)
| Returns the ButtonHandle associated with the particular numbered joystick button (zero-based), if there is one, or ButtonHandle::none() if there is not.
static ButtonHandle | lgrip ()
static ButtonHandle | lshoulder ()
static ButtonHandle | lstick ()
static ButtonHandle | ltrigger ()
static ButtonHandle | next ()
static ButtonHandle | previous ()
static ButtonHandle | rgrip ()
static ButtonHandle | rshoulder ()
static ButtonHandle | rstick ()
static ButtonHandle | rtrigger ()
static ButtonHandle | start ()
static ButtonHandle | trigger ()

## Detailed Description

This class is just used as a convenient namespace for grouping all of these handy functions that return buttons which map to gamepad buttons.

Definition at line 25 of file gamepadButton.h.

## Member Function Documentation

## ◆ back()

ButtonHandle GamepadButton::back | ( |  | ) |
| static

Definition at line 35 of file gamepadButton.cxx.

## ◆ dpad_down()

ButtonHandle GamepadButton::dpad_down | ( |  | ) |
| static

Definition at line 33 of file gamepadButton.cxx.

## ◆ dpad_left()

ButtonHandle GamepadButton::dpad_left | ( |  | ) |
| static

Definition at line 30 of file gamepadButton.cxx.

## ◆ dpad_right()

ButtonHandle GamepadButton::dpad_right | ( |  | ) |
| static

Definition at line 31 of file gamepadButton.cxx.

## ◆ dpad_up()

ButtonHandle GamepadButton::dpad_up | ( |  | ) |
| static

Definition at line 32 of file gamepadButton.cxx.

## ◆ face_1()

ButtonHandle GamepadButton::face_1 | ( |  | ) |
| static

Definition at line 49 of file gamepadButton.cxx.

## ◆ face_2()

ButtonHandle GamepadButton::face_2 | ( |  | ) |
| static

Definition at line 50 of file gamepadButton.cxx.

## ◆ face_a()

ButtonHandle GamepadButton::face_a | ( |  | ) |
| static

Definition at line 42 of file gamepadButton.cxx.

## ◆ face_b()

ButtonHandle GamepadButton::face_b | ( |  | ) |
| static

Definition at line 43 of file gamepadButton.cxx.

## ◆ face_c()

ButtonHandle GamepadButton::face_c | ( |  | ) |
| static

Definition at line 44 of file gamepadButton.cxx.

## ◆ face_x()

ButtonHandle GamepadButton::face_x | ( |  | ) |
| static

Definition at line 45 of file gamepadButton.cxx.

## ◆ face_y()

ButtonHandle GamepadButton::face_y | ( |  | ) |
| static

Definition at line 46 of file gamepadButton.cxx.

## ◆ face_z()

ButtonHandle GamepadButton::face_z | ( |  | ) |
| static

Definition at line 47 of file gamepadButton.cxx.

## ◆ guide()

ButtonHandle GamepadButton::guide | ( |  | ) |
| static

Definition at line 36 of file gamepadButton.cxx.

## ◆ hat_down()

ButtonHandle GamepadButton::hat_down | ( |  | ) |
| static

Definition at line 54 of file gamepadButton.cxx.

## ◆ hat_left()

ButtonHandle GamepadButton::hat_left | ( |  | ) |
| static

Definition at line 55 of file gamepadButton.cxx.

## ◆ hat_right()

ButtonHandle GamepadButton::hat_right | ( |  | ) |
| static

Definition at line 56 of file gamepadButton.cxx.

## ◆ hat_up()

ButtonHandle GamepadButton::hat_up | ( |  | ) |
| static

Definition at line 53 of file gamepadButton.cxx.

## ◆ init_gamepad_buttons()

void GamepadButton::init_gamepad_buttons | ( |  | ) |
| static

This is intended to be called only once, by the static initialization performed in config_util.cxx.

Definition at line 84 of file gamepadButton.cxx.

References ButtonRegistry::ptr(), and ButtonRegistry::register_button().

Referenced by init_libputil().

## ◆ joystick()

ButtonHandle GamepadButton::joystick | ( | int | button_number | ) |
| static

Returns the ButtonHandle associated with the particular numbered joystick button (zero-based), if there is one, or ButtonHandle::none() if there is not.

Definition at line 63 of file gamepadButton.cxx.

References joystick(), ButtonRegistry::ptr(), and ButtonRegistry::register_button().

Referenced by joystick().

## ◆ lgrip()

ButtonHandle GamepadButton::lgrip | ( |  | ) |
| static

Definition at line 27 of file gamepadButton.cxx.

## ◆ lshoulder()

ButtonHandle GamepadButton::lshoulder | ( |  | ) |
| static

Definition at line 23 of file gamepadButton.cxx.

## ◆ lstick()

ButtonHandle GamepadButton::lstick | ( |  | ) |
| static

Definition at line 21 of file gamepadButton.cxx.

## ◆ ltrigger()

ButtonHandle GamepadButton::ltrigger | ( |  | ) |
| static

Definition at line 25 of file gamepadButton.cxx.

## ◆ next()

ButtonHandle GamepadButton::next | ( |  | ) |
| static

Definition at line 39 of file gamepadButton.cxx.

## ◆ previous()

ButtonHandle GamepadButton::previous | ( |  | ) |
| static

Definition at line 40 of file gamepadButton.cxx.

## ◆ rgrip()

ButtonHandle GamepadButton::rgrip | ( |  | ) |
| static

Definition at line 28 of file gamepadButton.cxx.

## ◆ rshoulder()

ButtonHandle GamepadButton::rshoulder | ( |  | ) |
| static

Definition at line 24 of file gamepadButton.cxx.

## ◆ rstick()

ButtonHandle GamepadButton::rstick | ( |  | ) |
| static

Definition at line 22 of file gamepadButton.cxx.

## ◆ rtrigger()

ButtonHandle GamepadButton::rtrigger | ( |  | ) |
| static

Definition at line 26 of file gamepadButton.cxx.

## ◆ start()

ButtonHandle GamepadButton::start | ( |  | ) |
| static

Definition at line 37 of file gamepadButton.cxx.

## ◆ trigger()

ButtonHandle GamepadButton::trigger | ( |  | ) |
| static

Definition at line 52 of file gamepadButton.cxx.

The documentation for this class was generated from the following files:

- panda/src/putil/gamepadButton.h
- panda/src/putil/gamepadButton.cxx